/*
 * XchromP.h -- a CHROMACHRON clock widget. private header.
 * Copyright (c) Olaf Heimburger 1990
 * Last edited: Thu Nov  1 12:52:19 1990 by olafh (Olaf Heimburger) on GECKO
 */
#ifndef _XtXchromP_h
#define _XtXchromP_h

#include <X11/CoreP.h>
#include "Xchrom.h"

typedef struct {
    Pixel        foreground;
    Pixel        color[NUMFIELDS];
    int          startOffset;
    int          maskOffset;
    int          timeOffset; /* in minutes */
    /* non-resources (e.g. user can't set) */
    XtIntervalId intervalId;
    GC           colors[NUMFIELDS + 1];
    Pixmap	 colorPixmap;
    XArc         slices[NUMFIELDS + 1];
    int          savedHour;
    int          savedMin;
    int          arcSize;
    Dimension    squareSize;
    Pixmap       wdwPixmap;
    int          offset;
    int          minOffset;
    int          hourOffset;
} XchromPart;

typedef struct _XchromRec {
    CorePart	core;
    XchromPart	xchrom;
} XchromRec;

typedef struct {int dummy;} XchromClassPart;

typedef struct _XchromClassRec {
    CoreClassPart	core_class;
    XchromClassPart	xchrom_class;
} XchromClassRec;

extern XchromClassRec xchromClassRec;

#endif _XtXchromP_h
